import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaCryptoType } from '@overflow/commons-typescript/model/meta';


@Injectable()
export class MetaCryptoTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaCryptoType> {
    return this.rpcService.call<MetaCryptoType>('MetaCryptoTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaCryptoType[]> {
    return this.rpcService.call<MetaCryptoType[]>('MetaCryptoTypeService.readAll');
  }
}
